Subject: Re: bug#20768: RFC: Multithreaded grep

From: Aaron Crane <[email-masked]>
Date: Tue, 9 Jun 2015 12:04:11 +0100

Zev Weiss <[email-masked]> wrote:
> Hmm -- I picked --parallel largely for consistency with the corresponding
> flag for coreutils' sort, which strikes me as a closer relative to grep than
> either make or parallel.

That's a good point; I wasn't aware of sort's --parallel option.
Though I also note that "sort --parallel=4" limits the number of
threads to 4, rather than increasing the number of threads from 1 to
4, so the comparison isn't exact.

> sort doesn't
> have a matching short option though, so I went with -M to suggest
> "mulithreaded" (since, as you point out, -P is already in use).  Though I
> notice now that lower-case -p is still available; perhaps that might be
> better than -M.

I'm a little unhappy about the idea of proliferating the world's set
of short options in this space, to be honest. If grep didn't already
have -P, I'd be happy enough with -P and either --parallel or
--max-procs, but I'm not terribly fond of the idea of introducing
either -M or -p.

-- 
Aaron Crane ** http://aaroncrane.co.uk/